
public final class ArrayWrapper {

    private final int[] values;

    public ArrayWrapper(int n) {
        values = new int[n];

        for (int i = 0; i < values.length; i++) {
            values[i] = (int) (Math.random() * n);
        }
    }

    public int[] getArray() {
        return values;
    }

    @Override
    public String toString() {

        StringBuilder sb = new StringBuilder(values.length > 0 ? Integer.toString(values[0]) : "empty");
        for (int i = 1; i < values.length; i++) {
            sb.append(" ");
            sb.append(values[i]);
        }
        return sb.toString();
    }
}
