/*
 * File name: DemoObjectsOfBasicTypes.java
 * Date:      2014/11/11 14:40
 * Author:    Jan Faigl
 */
public class DemoObjectsOfBasicTypes {

    public static void compute(Integer a, Integer b, Integer r) {
        r = a + b; // new instance of Integer is created
        // and local reference variable r is set 
        // to a new address of the created object
    }

    public static void main(String[] args) {
        Integer a = 10;
        Integer b = 20;

        int r1 = a + b;
        Integer r2 = a + b;
        System.out.println("r1: " + r1 + " r2: " + r2);

        Integer results = -1;
        compute(10, 10, results);
        System.out.println("results: " + results);
    }
}
